#!/bin/env bash

if [ -z ${XDG_SESSION_DESKTOP+x} ]; then
  read -p "-- Which desktop environment do you want to install? " -r XDG_SESSION_DESKTOP
fi

if [ $XDG_SESSION_DESKTOP = "i3" ]; then
  addApplications polybar \
    betterlockscreen \
    dunst \
    pulseaudio-control \
    nitrogen
fi

if [ $XDG_SESSION_DESKTOP = "Hyprland" ]; then
  addApplications hyprland \
    waybar waybar-updates \
    hyprlock \
    swww \
    hyprswitch \
    nwg-dock-hyprland \
    nwg-drawer \
    swaync \
    wayland-logout \
    hyprpicker \
    pulseaudio-control \
    wl-clipboard \
    grim \
    slurp \
    hyprsunset \
    darkman \
    anyrun-git
fi
